#ifndef app_opt_h__included
#define app_opt_h__included

// Debug mode = full logging
//#define APP_OPT_DEBUG

// Debug mode on run functions:
//#define APP_OPT_DEBUG_RUN

// Semi-debug option: logging to file.
//#define APP_OPT_LOG

// Case-independent language
//#define APP_OPT_CMPI

// Save compiled code into a file:
#define APP_OPT_SAVE_COMPILE

// Load compiled file
#define APP_OPT_LOAD_COMPILE

#include "resource.h"

// Common prototypes
void Error(int IsError, char * Msg);
void Error(int IsError, int Id, ...); // uses string resources.


#define		ATOL_VERSION		"1.2"

#define atol_func(name) atom_s * WINAPI name(ATOL_INTERFACE IAtol, list_s *Args, list_s *Params)


#define MARK_STR		"\"\'\x1\'\""
#define BODY_STR		"\"\'\x2\'\""


#endif // app_opt_h__included
