#ifndef console_h__included
#define console_h__included

#include <windows.h>
#include "app_opt.h"


void console_write(char ** args);
void console_write(char * msg, ...);
void console_write_str(char *str, int len);
void console_open();
void console_close();

int console_read_char();
int console_read(char *buf, int NumChars);

#if defined(APP_OPT_DEBUG) || defined(APP_OPT_DEBUG_RUN)
void console_log(char * msg, ...);
#endif

#endif // console_h__included
